// -----------------
// q3a fur shader by boddo
// website: http://www.cyberpunkcafe.com/
// http://www.cyberpunkcafe.com/fur_shader/fur_tutorial.html
// -----------------
// Shader enhancements by wily duck.  http://gamedev.digitalamusement.com
//
// this first shader is the base shader (fur1_surf), and it is the only shader that you apply to your work.
// this shader will call on the fur layers on its own, fur1_p1
// fur1_p1 will call fur1_p2, and fur1_p2 will call fur1_p3.

// grass base shader //
textures/wily_grass/grass1_surf
{
//	q3map_novertexshadows
//	q3map_vertexScale 2
	q3map_cloneShader textures/wily_grass/grass1_p2
	q3map_bouncescale 0.125

	sort 9
//	nomipmaps
//	surfaceparm nolightmap

	{
		map textures/wily_grass/grass_dark.tga
		tcmod scale .85 .85
		rgbGen vertex
//		map textures/wily_grass/grass_surface4.tga
	}
//	{
//		map textures/wily_grass/grass_green.tga
//		blendfunc gl_dst_color gl_zero
//	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_src_color
	}
}

// fur offset layer one
textures/wily_grass/grass1_p1
{
	q3map_novertexshadows
	q3map_vertexScale 2
	q3map_bouncescale 0.125
	q3map_cloneShader textures/wily_grass/grass1_p2
	q3map_offset .5

	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nolightmap
	surfaceparm alphashadow

	sort 10
	cull none
	{
		map textures/wily_grass/grass_green.tga
//		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		blendfunc gl_dst_color gl_src_color
		alphaFunc GE128
//		depthWrite
//		rgbGen vertex
		tcmod scale .55 .5
	}
}

// fur offset layer two
textures/wily_grass/grass1_p2
{
	q3map_novertexshadows
	q3map_vertexScale 2
	q3map_bouncescale 0.125
	q3map_cloneShader textures/wily_grass/grass1_p3
	q3map_offset 1

	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nolightmap
	surfaceparm alphashadow

	sort 11
	cull none
	{
		map textures/wily_grass/grass_dark.tga
//		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		blendfunc gl_src_alpha gl_src_color
//		blendfunc gl_dst_color gl_one
		alphaFunc GE128
//		rgbGen vertex
		tcmod scale .85 .8
	}
}

// fur offset layer three
textures/wily_grass/grass1_p3
{
	q3map_novertexshadows
//	q3map_vertexScale 2
	q3map_offset 2
	q3map_bouncescale 0.125

	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nolightmap
	surfaceparm alphashadow

	sort 12
	cull none
	{
		map textures/wily_grass/grass_green.tga
//		map textures/ut4_superman/grass_green.tga
//		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		blendfunc gl_src_alpha gl_src_color
//		blendfunc filter
		alphaFunc lt128
		depthfunc equal
//		rgbGen vertex
		tcmod scale 1.1 1.15
	}
}


//////////////////////////////////////////////////////////////////////


textures/wily_grass/grass3_surf
{
	q3map_bouncescale 0.125
	surfaceparm nolightmap
	sort 9

	q3map_novertexshadows
	q3map_vertexScale 4
	q3map_cloneShader textures/wily_grass/grass3_p2
	{
		map textures/wily_grass/grass_park.tga
//		rgbGen vertex
		rgbgen const ( .3 .25 .1 )
		depthwrite
	}
}

// fur offset layer one
textures/wily_grass/grass3_p1
{
	q3map_novertexshadows
	q3map_vertexScale 4
	q3map_bouncescale 0.125
	q3map_cloneShader textures/wily_grass/grass3_p2
	q3map_offset 2

	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nolightmap

	sort 10
	cull none
	{
		map textures/wily_grass/grass_dark.tga
//		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		blendfunc gl_dst_color gl_src_color
		alphaFunc ge128
		depthwrite
//		rgbGen vertex
		tcmod scale .925 .925
	}
}

// fur offset layer two
textures/wily_grass/grass3_p2
{
	q3map_novertexshadows
	q3map_vertexScale 4
	q3map_bouncescale 0.125
	q3map_cloneShader textures/wily_grass/grass3_p3
	q3map_offset 1

	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nolightmap

	sort 11
	cull none
	{
		map textures/wily_grass/grass_cut.tga
//		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		blendfunc blend
		alphaFunc lt128
		depthwrite
//		rgbGen vertex
		rgbgen const ( .2 .45 .15 )
		tcmod scale .85 .85
	}
}

// fur offset layer three
textures/wily_grass/grass3_p3
{
	q3map_novertexshadows
	q3map_vertexScale 4
	q3map_offset 2
	q3map_bouncescale 0.125

	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nolightmap

	sort 12
	cull none
	{
//		map textures/wily_grass/grass_cut.tga
		map textures/wily_grass/grass_mulch.tga
		blendfunc blend
		alphaFunc lt128
		depthwrite
//		rgbGen vertex
		rgbgen const ( .2 .45 .15 )
		tcmod scale .8 .8
	}
}




//////////////////////////////////////////////////////////////////////


textures/wily_grass/grass4_surf
{
	q3map_bouncescale 0.125
	q3map_cloneShader textures/wily_grass/grass4_p2

	surfaceparm nolightmap

	sort 6


	{
		map textures/wily_grass/grass_park.tga
		rgbgen const ( .3 .25 .1 )
		depthwrite
	}
}

textures/wily_grass/grass4_p2
{
	q3map_bouncescale 0.125
	q3map_cloneShader textures/wily_grass/grass4_p3
	q3map_offset 2

	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nolightmap

	sort 7
	cull none
	{
		map textures/wily_grass/grass_cut.tga
		blendfunc blend
		alphaFunc lt128
		depthwrite
		rgbgen const ( .2 .45 .15 )
		tcmod scale .85 .85
	}
}

textures/wily_grass/grass4_p3
{
	q3map_offset 2
	q3map_bouncescale 0.125

	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nolightmap

	sort 8
	cull none
	{
		map textures/wily_grass/grass_mulch.tga
		blendfunc blend
		alphaFunc lt128
		depthwrite
		rgbgen const ( .2 .45 .15 )
		tcmod scale .8 .8
	}
}
